Page MenuHomePhabricator

[AMDGPU] NFC to correct typos in lib/Target/AMDGPU/AMDGPU*.cpp files. Test commit for new contributor.
ClosedPublic

Authored by lamb-j on Sep 17 2021, 11:50 AM.

Details

Summary

Nonfunctional commit to correct minor typos in llvm/lib/Target/AMDGPU/AMDGPU*.cpp files. Testing workflow as a new contributor.

Diff Detail

Event Timeline

lamb-j created this revision.Sep 17 2021, 11:50 AM
lamb-j requested review of this revision.Sep 17 2021, 11:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 17 2021, 11:50 AM
kerbowa accepted this revision.Sep 20 2021, 1:23 PM

LGTM with nits.

llvm/lib/Target/AMDGPU/AMDGPULegalizerInfo.cpp
62

NIT: this is meant to be a doxygen comment I think. So \returns?

llvm/lib/Target/AMDGPU/AMDGPURewriteOutArguments.cpp
144–145

NIT: This line looks a bit short.

This revision is now accepted and ready to land.Sep 20 2021, 1:23 PM
lamb-j updated this revision to Diff 373715.Sep 20 2021, 2:36 PM

Addressing comments from kerbowa and lint tool.

lamb-j marked 2 inline comments as done.Sep 20 2021, 2:45 PM
kerbowa accepted this revision.Sep 20 2021, 2:47 PM
lamb-j closed this revision.Sep 21 2021, 2:09 PM
foad added a comment.Sep 22 2021, 1:28 AM

lamb-j closed this revision.

FYI if you add a line like Differential Revision: https://reviews.llvm.org/D109991 to the commit message then the revision will get closed automatically when you push. If you use arc diff to create the revision it will automatically add this line to your local commit message.